# osg::Drawable::CullCallback Struct Reference

Inheritance diagram for osg::Drawable::CullCallback:

[legend]
List of all members.

## Public Member Functions

| CullCallback ()
| CullCallback (const CullCallback &, const CopyOp &)
| META_Object (osg, CullCallback)
virtual bool | cull (osg::NodeVisitor *, osg::Drawable *, osg::State *) const
| do customized cull code, return true if drawable should be culled.

## Constructor & Destructor Documentation

osg::Drawable::CullCallback::CullCallback | ( |  | ) | `[inline]`

osg::Drawable::CullCallback::CullCallback | ( | const CullCallback & | ,
|  | const CopyOp & |
| ) | `[inline]`

## Member Function Documentation

virtual bool osg::Drawable::CullCallback::cull | ( | osg::NodeVisitor * | ,
|  | osg::Drawable * | ,
|  | osg::State * |
| ) | const`[inline, virtual]`

| do customized cull code, return true if drawable should be culled. Reimplemented in osg::ClusterCullingCallback.

osg::Drawable::CullCallback::META_Object | ( | osg | ,
|  | CullCallback |
| ) |

The documentation for this struct was generated from the following file:

- Drawable